Express

Kloonige https://bitbucket.org/mkalmo/i399exexpress repo ja importige see IDE-sse.

1. Laadige teegid
   > npm install
   
2. Käivitage rakendus
   > npm start

3. Kontrollige, et rakendus käib, minnes brauseris aadressile 
   http://localhost:3000/api/tasks

4. Paigaldage Postman-i rakendus.
   Minge www.getpostman.com lehele ja valige sealt Chrome.

5. Saatke Postman-iga päring:
   
   GET /api/tasks HTTP/1.1
   Host: localhost:3000

6. Konsooli logimise asemel saatke vastus kliendile (praeguse "ok" asemel).
   Saata saab ainult stringi.

7. Lisage serverile staatiliste failide serveerimise võimalus. 
   Näide: examples/express1.js.
   
   Nt. http://localhost:3000/server.js peaks tagastama serveri koodi.

8. Lisage ühe ülesande küsimise võimalus.

   Päring:

   GET /api/tasks/<id> HTTP/1.1
   Host: localhost:3000

   tagastab konkreetse id-ga ülesande.

   Näide: examples/express2.js

   Selleks peate ka TaskService-ile lisama meetodi getTask(id).
   Kui vastava id-ga ülesanne puudub tagastage Promise.reject('no task with id: ' + id).

9. Lisage ülesande kustutamise võimalus.

   Päring:

   DELETE /api/tasks/<id> HTTP/1.1
   Host: localhost:3000

   Selleks peate ka TaskService-ile lisama meetodi deleteTask(id).

10. Pange server kasutama json-i teeki ja korrastage koodi.

      response.set('Content-Type', 'application/json');
      response.end(JSON.stringify([{ id: 1 }, { id: 2 }]));
      
      läheb
      
      response.json([{ id: 1 }, { id: 2 }]);
        
    Näide: examples/express2.js 

11. Lisage ülesande sisestamise võimalus (näide: examples/express3.js).

   Päring:
   
   POST /api/tasks HTTP/1.1
   Host: localhost:3000
   Content-Type: application/json
   
   { content: "hello" }
   
   Kasutage json-iks teisendamise teeki: app.use(bodyParser.json())
 
   Päringu saatmiseks Postman-ist määrake:

   Headers sakk:
   
     Key: Content-type
     Value: appliation/json

   Body sakk:
   
     valige "raw" ja kirjutage sisuks: { content: "hello" }

   Andmete salvestamiseks lisage TaskService-ile meetod saveTask(task).

12. Lisage üldine vigade töötluse meetod (näide: examples/express6.js)
    Vea korral tuleb tagastada json: { error: error.toString() }

Lahendused: https://youtu.be/-xjR7lhvqY4
